#pragma once

#include <Urho3D/Scene/LogicComponent.h>

using namespace Urho3D;

class Splitter : public LogicComponent
{
    URHO3D_OBJECT(Splitter, LogicComponent);

public:
    Splitter(Context* context);

    static void RegisterObject(Context* context);

    virtual void Split();

private:
    void HandleSplitEnd(StringHash eventType, VariantMap& eventData);

};
